X

US Department of State Will No Longer Support Users With Internet Explorer Version 6.0 and SSL 2.0/3.0

Effective August 17, 2014, US Department of States has rolled out an update that the site will no longer support users with browser Internet Explorer version 6.0 (IE 6.0) and Secure Sockets Layer (SSL) 2.0/3.0.

What Does It Mean for Visa Applications to the USA
This reciprocates that travelers, using internet explorer version 6.0 or below, will not be able to access or fill out DS 160, DS-1648, DS-261 or DS-260 Form online, neither check out the visa application status online.

For Immigrant Visa – The applicants will not be able to access/pay their Immigrant visa fees at the Immigrant Visa Invoice Payment center by using IE 6.0 browser.

We recommend you update your browsers to the latest versions – Internet Explorer 11 or use Chromo or Mozilla Firefox to access your application.  Please make sure that the browser you are using has Transport Layer Security (TLS) enabled.

Share on: